source: squid-ssl/trunk/fuentes/helpers/negotiate_auth/SSPI/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 40.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# helpers/negotiate_auth/SSPI/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92TESTS =
93am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = negotiate_sspi_auth$(EXEEXT)
95subdir = helpers/negotiate_auth/SSPI
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_negotiate_sspi_auth_OBJECTS = negotiate_sspi_auth.$(OBJEXT)
165negotiate_sspi_auth_OBJECTS = $(am_negotiate_sspi_auth_OBJECTS)
166negotiate_sspi_auth_LDADD = $(LDADD)
167#am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
168am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
169        $(am__DEPENDENCIES_1)
170am__DEPENDENCIES_3 =
171negotiate_sspi_auth_DEPENDENCIES =  \
172        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
173        $(am__DEPENDENCIES_3)
174AM_V_lt = $(am__v_lt_$(V))
175am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
176am__v_lt_0 = --silent
177am__v_lt_1 = 
178AM_V_P = $(am__v_P_$(V))
179am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
180am__v_P_0 = false
181am__v_P_1 = :
182AM_V_GEN = $(am__v_GEN_$(V))
183am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
184am__v_GEN_0 = @echo "  GEN     " $@;
185am__v_GEN_1 = 
186AM_V_at = $(am__v_at_$(V))
187am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
188am__v_at_0 = @
189am__v_at_1 = 
190DEFAULT_INCLUDES = 
191depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
192am__depfiles_maybe = depfiles
193am__mv = mv -f
194CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
195        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
196LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
197        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
198        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
199        $(AM_CXXFLAGS) $(CXXFLAGS)
200AM_V_CXX = $(am__v_CXX_$(V))
201am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
202am__v_CXX_0 = @echo "  CXX     " $@;
203am__v_CXX_1 = 
204CXXLD = $(CXX)
205CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
206        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
207        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
208AM_V_CXXLD = $(am__v_CXXLD_$(V))
209am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
210am__v_CXXLD_0 = @echo "  CXXLD   " $@;
211am__v_CXXLD_1 = 
212SOURCES = $(negotiate_sspi_auth_SOURCES)
213DIST_SOURCES = $(negotiate_sspi_auth_SOURCES)
214am__can_run_installinfo = \
215  case $$AM_UPDATE_INFO_DIR in \
216    n|no|NO) false;; \
217    *) (install-info --version) >/dev/null 2>&1;; \
218  esac
219am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
220# Read a list of newline-separated strings from the standard input,
221# and print each of them once, without duplicates.  Input order is
222# *not* preserved.
223am__uniquify_input = $(AWK) '\
224  BEGIN { nonempty = 0; } \
225  { items[$$0] = 1; nonempty = 1; } \
226  END { if (nonempty) { for (i in items) print i; }; } \
227'
228# Make sure the list of sources is unique.  This is necessary because,
229# e.g., the same source file might be shared among _SOURCES variables
230# for different programs/libraries.
231am__define_uniq_tagged_files = \
232  list='$(am__tagged_files)'; \
233  unique=`for i in $$list; do \
234    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
235  done | $(am__uniquify_input)`
236ETAGS = etags
237CTAGS = ctags
238am__tty_colors_dummy = \
239  mgn= red= grn= lgn= blu= brg= std=; \
240  am__color_tests=no
241am__tty_colors = { \
242  $(am__tty_colors_dummy); \
243  if test "X$(AM_COLOR_TESTS)" = Xno; then \
244    am__color_tests=no; \
245  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
246    am__color_tests=yes; \
247  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
248    am__color_tests=yes; \
249  fi; \
250  if test $$am__color_tests = yes; then \
251    red='[0;31m'; \
252    grn='[0;32m'; \
253    lgn='[1;32m'; \
254    blu='[1;34m'; \
255    mgn='[0;35m'; \
256    brg='[1m'; \
257    std='[m'; \
258  fi; \
259}
260am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
261am__vpath_adj = case $$p in \
262    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
263    *) f=$$p;; \
264  esac;
265am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
266am__install_max = 40
267am__nobase_strip_setup = \
268  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
269am__nobase_strip = \
270  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
271am__nobase_list = $(am__nobase_strip_setup); \
272  for p in $$list; do echo "$$p $$p"; done | \
273  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
274  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
275    if (++n[$$2] == $(am__install_max)) \
276      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
277    END { for (dir in files) print dir, files[dir] }'
278am__base_list = \
279  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
280  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
281am__uninstall_files_from_dir = { \
282  test -z "$$files" \
283    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
284    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
285         $(am__cd) "$$dir" && rm -f $$files; }; \
286  }
287am__recheck_rx = ^[     ]*:recheck:[    ]*
288am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
289am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
290# A command that, given a newline-separated list of test names on the
291# standard input, print the name of the tests that are to be re-run
292# upon "make recheck".
293am__list_recheck_tests = $(AWK) '{ \
294  recheck = 1; \
295  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
296    { \
297      if (rc < 0) \
298        { \
299          if ((getline line2 < ($$0 ".log")) < 0) \
300            recheck = 0; \
301          break; \
302        } \
303      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
304        { \
305          recheck = 0; \
306          break; \
307        } \
308      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
309        { \
310          break; \
311        } \
312    }; \
313  if (recheck) \
314    print $$0; \
315  close ($$0 ".trs"); \
316  close ($$0 ".log"); \
317}'
318# A command that, given a newline-separated list of test names on the
319# standard input, create the global log from their .trs and .log files.
320am__create_global_log = $(AWK) ' \
321function fatal(msg) \
322{ \
323  print "fatal: making $@: " msg | "cat >&2"; \
324  exit 1; \
325} \
326function rst_section(header) \
327{ \
328  print header; \
329  len = length(header); \
330  for (i = 1; i <= len; i = i + 1) \
331    printf "="; \
332  printf "\n\n"; \
333} \
334{ \
335  copy_in_global_log = 1; \
336  global_test_result = "RUN"; \
337  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
338    { \
339      if (rc < 0) \
340         fatal("failed to read from " $$0 ".trs"); \
341      if (line ~ /$(am__global_test_result_rx)/) \
342        { \
343          sub("$(am__global_test_result_rx)", "", line); \
344          sub("[        ]*$$", "", line); \
345          global_test_result = line; \
346        } \
347      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
348        copy_in_global_log = 0; \
349    }; \
350  if (copy_in_global_log) \
351    { \
352      rst_section(global_test_result ": " $$0); \
353      while ((rc = (getline line < ($$0 ".log"))) != 0) \
354      { \
355        if (rc < 0) \
356          fatal("failed to read from " $$0 ".log"); \
357        print line; \
358      }; \
359      printf "\n"; \
360    }; \
361  close ($$0 ".trs"); \
362  close ($$0 ".log"); \
363}'
364# Restructured Text title.
365am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
366# Solaris 10 'make', and several other traditional 'make' implementations,
367# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
368# by disabling -e (using the XSI extension "set +e") if it's set.
369am__sh_e_setup = case $$- in *e*) set +e;; esac
370# Default flags passed to test drivers.
371am__common_driver_flags = \
372  --color-tests "$$am__color_tests" \
373  --enable-hard-errors "$$am__enable_hard_errors" \
374  --expect-failure "$$am__expect_failure"
375# To be inserted before the command running the test.  Creates the
376# directory for the log if needed.  Stores in $dir the directory
377# containing $f, in $tst the test, in $log the log.  Executes the
378# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
379# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
380# will run the test scripts (or their associated LOG_COMPILER, if
381# thy have one).
382am__check_pre = \
383$(am__sh_e_setup);                                      \
384$(am__vpath_adj_setup) $(am__vpath_adj)                 \
385$(am__tty_colors);                                      \
386srcdir=$(srcdir); export srcdir;                        \
387case "$@" in                                            \
388  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
389    *) am__odir=.;;                                     \
390esac;                                                   \
391test "x$$am__odir" = x"." || test -d "$$am__odir"       \
392  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
393if test -f "./$$f"; then dir=./;                        \
394elif test -f "$$f"; then dir=;                          \
395else dir="$(srcdir)/"; fi;                              \
396tst=$$dir$$f; log='$@';                                 \
397if test -n '$(DISABLE_HARD_ERRORS)'; then               \
398  am__enable_hard_errors=no;                            \
399else                                                    \
400  am__enable_hard_errors=yes;                           \
401fi;                                                     \
402case " $(XFAIL_TESTS) " in                              \
403  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
404    am__expect_failure=yes;;                            \
405  *)                                                    \
406    am__expect_failure=no;;                             \
407esac;                                                   \
408$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
409# A shell command to get the names of the tests scripts with any registered
410# extension removed (i.e., equivalently, the names of the test logs, with
411# the '.log' extension removed).  The result is saved in the shell variable
412# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
413# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
414# since that might cause problem with VPATH rewrites for suffix-less tests.
415# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
416am__set_TESTS_bases = \
417  bases='$(TEST_LOGS)'; \
418  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
419  bases=`echo $$bases`
420RECHECK_LOGS = $(TEST_LOGS)
421AM_RECURSIVE_TARGETS = check recheck
422TEST_SUITE_LOG = test-suite.log
423TEST_EXTENSIONS =  .test
424am__test_logs1 = $(TESTS:=.log)
425am__test_logs2 = $(am__test_logs1:.log=.log)
426TEST_LOGS = $(am__test_logs2:.test.log=.log)
427TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
428TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
429        $(TEST_LOG_FLAGS)
430am__set_b = \
431  case '$@' in \
432    */*) \
433      case '$*' in \
434        */*) b='$*';; \
435          *) b=`echo '$@' | sed 's/\.log$$//'`; \
436       esac;; \
437    *) \
438      b='$*';; \
439  esac
440am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
441        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
442DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
443ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
444ADAPTATION_LIBS = adaptation/libadaptation.la
445ALLOCA =
446AMTAR = $${TAR-tar}
447AM_DEFAULT_VERBOSITY = 1
448AR = /usr/bin/ar
449AR_R = /usr/bin/ar r
450AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
451AUTH_MODULES =  basic digest negotiate ntlm
452AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
453AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
454AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
455AWK = gawk
456BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
457BUILDCXX = g++
458BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
459BZR =
460CACHE_EFFECTIVE_USER = proxy
461CC = gcc
462CCDEPMODE = depmode=none
463CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
464CGIEXT = .cgi
465CHMOD = /bin/chmod
466CPP = gcc -E
467CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
468CPPUNITCONFIG = /usr/bin/cppunit-config
469CRYPTLIB = -lcrypt
470CXX = g++
471CXXCPP = g++ -E
472CXXDEPMODE = depmode=none
473CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
474CYGPATH_W = echo
475DEFAULT_HOSTS = /etc/hosts
476DEFAULT_LOG_DIR = /var/log/squid-ssl
477DEFAULT_PID_FILE = /var/run/squid-ssl.pid
478DEFAULT_SWAP_DIR = /var/spool/squid-ssl
479DEFS = -DHAVE_CONFIG_H
480DEPDIR = .deps
481DIGEST_AUTH_HELPERS =  file LDAP
482DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
483DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
484DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
485DISK_OS_LIBS =  -lrt -lpthread
486DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
487DLLTOOL = false
488DSYMUTIL =
489DUMPBIN =
490ECAP_LIBS = ecap/libsquid-ecap.la
491ECHO_C =
492ECHO_N = -n
493ECHO_T =
494EGREP = /bin/egrep
495EPOLL_LIBS =
496EUILIB =
497EXEEXT =
498EXPATLIB = -lexpat
499EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
500EXT_LIBECAP_CFLAGS =
501EXT_LIBECAP_LIBS = -lecap
502FALSE = /bin/false
503FGREP = /bin/fgrep
504GREP = grep
505HAVE_CXX11 = 1
506ICAP_LIBS = icap/libicap.la
507INCLTDL =
508INSTALL = /usr/bin/install -c
509INSTALL_DATA = ${INSTALL} -m 644
510INSTALL_PROGRAM = ${INSTALL}
511INSTALL_SCRIPT = ${INSTALL}
512INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
513KRB5INCS = -isystem /usr/include/mit-krb5
514KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
515LBERLIB = -llber
516LD = /usr/bin/ld -m elf_x86_64
517LDAPLIB = -lldap
518LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
519LIBADD_DL = -ldl
520LIBADD_DLD_LINK =
521LIBADD_DLOPEN = -ldl
522LIBADD_SHL_LOAD =
523LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
524LIBGNUTLS_LIBS = -lgnutls
525LIBLTDL = -lltdl
526LIBOBJS =
527LIBOPENSSL_CFLAGS =
528LIBOPENSSL_LIBS = -lssl -lcrypto
529LIBS =
530LIBSASL = -lsasl2
531LIBTOOL = $(SHELL) $(top_builddir)/libtool
532LIB_DB = -ldb
533LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
534LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
535LINUXDOC = /bin/false
536LIPO =
537LN = /bin/ln
538LN_S = ln -s
539LOG_DAEMON_HELPERS =  DB file
540LTDLDEPS =
541LTDLINCL =
542LTDLOPEN = libltdl
543LTLIBOBJS =
544LT_ARGZ_H =
545LT_CONFIG_H = include/autoconf.h
546LT_DLLOADERS =  libltdl/dlopen.la
547LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
548LT_SYS_LIBRARY_PATH =
549MAINT = #
550MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
551MANIFEST_TOOL = :
552MINGW_LIBS =
553MKDIR = /bin/mkdir
554MKDIR_P = /bin/mkdir -p
555MV = /bin/mv
556NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
557NETTLELIB =  -lnettle
558NM = /usr/bin/nm -B
559NMEDIT =
560NTLM_AUTH_HELPERS =  fake smb_lm
561OBJDUMP = objdump
562OBJEXT = o
563OTOOL =
564OTOOL64 =
565PACKAGE = squid
566PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
567PACKAGE_NAME = Squid Web Proxy
568PACKAGE_STRING = Squid Web Proxy 3.5.12
569PACKAGE_TARNAME = squid
570PACKAGE_URL =
571PACKAGE_VERSION = 3.5.12
572PATH_SEPARATOR = :
573PERL = /usr/bin/perl
574PKG_CONFIG = /usr/bin/pkg-config
575PKG_CONFIG_LIBDIR =
576PKG_CONFIG_PATH =
577PO2HTML = off
578PO2TEXT = off
579POD2MAN = /usr/bin/pod2man
580RANLIB = ranlib
581REGEXLIB =
582REPL_LIBS = liblru.a libheap.a
583REPL_OBJS = repl/liblru.a repl/libheap.a
584REPL_POLICIES = lru heap
585RM = /bin/rm -f
586SED = /bin/sed
587SET_MAKE =
588SH = /bin/sh
589SHELL = /bin/bash
590SMBCLIENT = /usr/bin/smbclient
591SNMPLIB = ../lib/snmplib/libsnmplib.la
592SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
593SQUID_CPPUNIT_INC =
594SQUID_CPPUNIT_LA =
595SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
596SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
597SSLLIB =  -lssl -lcrypto  -lgnutls
598STOREID_REWRITE_HELPERS =  file
599STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
600STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
601STORE_TESTS =
602STRIP = strip
603TR = /usr/bin/tr
604TRUE = /bin/true
605URL_REWRITE_HELPERS =  fake
606VERSION = 3.5.12
607WBINFO =
608WIN32_PSAPI =
609XMLLIB = -lxml2
610XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
611XTRA_OBJS =
612abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/negotiate_auth/SSPI
613abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/helpers/negotiate_auth/SSPI
614abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
615abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
616ac_ct_AR =
617ac_ct_CC = gcc
618ac_ct_CXX = g++
619ac_ct_DUMPBIN =
620am__include = include
621am__leading_dot = .
622am__quote =
623am__tar = tar --format=ustar -chf - "$$tardir"
624am__untar = tar -xf -
625bindir = ${exec_prefix}/bin
626build = x86_64-pc-linux-gnu
627build_alias = x86_64-linux-gnu
628build_cpu = x86_64
629build_os = linux-gnu
630build_vendor = pc
631builddir = .
632datadir = /usr/share/squid-ssl
633datarootdir = ${prefix}/share
634docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
635dvidir = ${docdir}
636exec_prefix = ${prefix}
637host = x86_64-pc-linux-gnu
638host_alias =
639host_cpu = x86_64
640host_os = linux-gnu
641host_vendor = pc
642htmldir = ${docdir}
643includedir = ${prefix}/include
644infodir = ${prefix}/share/info
645install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
646krb5_config =
647libdir = ${exec_prefix}/lib
648libexecdir = /usr/lib/squid-ssl
649localedir = ${datarootdir}/locale
650localstatedir = /var
651ltdl_LIBOBJS =  lt__strl.o
652ltdl_LTLIBOBJS =  lt__strl.lo
653mandir = /usr/share/man
654mkdir_p = $(MKDIR_P)
655oldincludedir = /usr/include
656pdfdir = ${docdir}
657prefix = /usr
658program_transform_name = s&$$&-ssl&
659psdir = ${docdir}
660runstatedir = ${localstatedir}/run
661sbindir = ${exec_prefix}/sbin
662sharedstatedir = ${prefix}/com
663srcdir = .
664subdirs =  libltdl
665sys_symbol_underscore = no
666sysconfdir = /etc/squid-ssl
667target_alias =
668top_build_prefix = ../../../
669top_builddir = ../../..
670top_srcdir = ../../..
671AM_CFLAGS = $(SQUID_CFLAGS)
672AM_CXXFLAGS = $(SQUID_CXXFLAGS)
673CLEANFILES =
674AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
675        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
676        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
677        $(am__append_1)
678LIBPROFILER =
679#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
680COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
681subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
682negotiate_sspi_auth_SOURCES = negotiate_sspi_auth.cc
683LDADD = \
684        -L$(top_builddir)/lib -lsspwin32 \
685        $(top_builddir)/lib/libmiscencoding.la \
686        $(COMPAT_LIB) \
687        -ladvapi32 \
688        $(XTRA_LIBS)
689
690EXTRA_DIST = readme.txt required.m4
691all: all-am
692
693.SUFFIXES:
694.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
695$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
696        @for dep in $?; do \
697          case '$(am__configure_deps)' in \
698            *$$dep*) \
699              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
700                && { if test -f $@; then exit 0; else break; fi; }; \
701              exit 1;; \
702          esac; \
703        done; \
704        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/negotiate_auth/SSPI/Makefile'; \
705        $(am__cd) $(top_srcdir) && \
706          $(AUTOMAKE) --gnu helpers/negotiate_auth/SSPI/Makefile
707Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
708        @case '$?' in \
709          *config.status*) \
710            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
711          *) \
712            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
713            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
714        esac;
715$(top_srcdir)/src/Common.am $(am__empty):
716
717$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
718        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
719
720$(top_srcdir)/configure: # $(am__configure_deps)
721        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
722$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
723        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
724$(am__aclocal_m4_deps):
725
726clean-checkPROGRAMS:
727        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
728        echo " rm -f" $$list; \
729        rm -f $$list || exit $$?; \
730        test -n "$(EXEEXT)" || exit 0; \
731        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
732        echo " rm -f" $$list; \
733        rm -f $$list
734install-libexecPROGRAMS: $(libexec_PROGRAMS)
735        @$(NORMAL_INSTALL)
736        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
737        if test -n "$$list"; then \
738          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
739          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
740        fi; \
741        for p in $$list; do echo "$$p $$p"; done | \
742        sed 's/$(EXEEXT)$$//' | \
743        while read p p1; do if test -f $$p \
744         || test -f $$p1 \
745          ; then echo "$$p"; echo "$$p"; else :; fi; \
746        done | \
747        sed -e 'p;s,.*/,,;n;h' \
748            -e 's|.*|.|' \
749            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
750        sed 'N;N;N;s,\n, ,g' | \
751        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
752          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
753            if ($$2 == $$4) files[d] = files[d] " " $$1; \
754            else { print "f", $$3 "/" $$4, $$1; } } \
755          END { for (d in files) print "f", d, files[d] }' | \
756        while read type dir files; do \
757            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
758            test -z "$$files" || { \
759            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
760            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
761            } \
762        ; done
763
764uninstall-libexecPROGRAMS:
765        @$(NORMAL_UNINSTALL)
766        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
767        files=`for p in $$list; do echo "$$p"; done | \
768          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
769              -e 's/$$/$(EXEEXT)/' \
770        `; \
771        test -n "$$list" || exit 0; \
772        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
773        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
774
775clean-libexecPROGRAMS:
776        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
777        echo " rm -f" $$list; \
778        rm -f $$list || exit $$?; \
779        test -n "$(EXEEXT)" || exit 0; \
780        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
781        echo " rm -f" $$list; \
782        rm -f $$list
783
784negotiate_sspi_auth$(EXEEXT): $(negotiate_sspi_auth_OBJECTS) $(negotiate_sspi_auth_DEPENDENCIES) $(EXTRA_negotiate_sspi_auth_DEPENDENCIES) 
785        @rm -f negotiate_sspi_auth$(EXEEXT)
786        $(AM_V_CXXLD)$(CXXLINK) $(negotiate_sspi_auth_OBJECTS) $(negotiate_sspi_auth_LDADD) $(LIBS)
787
788mostlyclean-compile:
789        -rm -f *.$(OBJEXT)
790
791distclean-compile:
792        -rm -f *.tab.c
793
794#include ./$(DEPDIR)/negotiate_sspi_auth.Po
795
796.cc.o:
797#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
798#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
799#       $(am__mv) $$depbase.Tpo $$depbase.Po
800#       $(AM_V_CXX)source='$<' object='$@' libtool=no
801#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
802        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
803
804.cc.obj:
805#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
806#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
807#       $(am__mv) $$depbase.Tpo $$depbase.Po
808#       $(AM_V_CXX)source='$<' object='$@' libtool=no
809#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
810        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
811
812.cc.lo:
813#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
814#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
815#       $(am__mv) $$depbase.Tpo $$depbase.Plo
816#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
817#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
818        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
819
820mostlyclean-libtool:
821        -rm -f *.lo
822
823clean-libtool:
824        -rm -rf .libs _libs
825
826ID: $(am__tagged_files)
827        $(am__define_uniq_tagged_files); mkid -fID $$unique
828tags: tags-am
829TAGS: tags
830
831tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
832        set x; \
833        here=`pwd`; \
834        $(am__define_uniq_tagged_files); \
835        shift; \
836        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
837          test -n "$$unique" || unique=$$empty_fix; \
838          if test $$# -gt 0; then \
839            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
840              "$$@" $$unique; \
841          else \
842            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
843              $$unique; \
844          fi; \
845        fi
846ctags: ctags-am
847
848CTAGS: ctags
849ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
850        $(am__define_uniq_tagged_files); \
851        test -z "$(CTAGS_ARGS)$$unique" \
852          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
853             $$unique
854
855GTAGS:
856        here=`$(am__cd) $(top_builddir) && pwd` \
857          && $(am__cd) $(top_srcdir) \
858          && gtags -i $(GTAGS_ARGS) "$$here"
859cscopelist: cscopelist-am
860
861cscopelist-am: $(am__tagged_files)
862        list='$(am__tagged_files)'; \
863        case "$(srcdir)" in \
864          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
865          *) sdir=$(subdir)/$(srcdir) ;; \
866        esac; \
867        for i in $$list; do \
868          if test -f "$$i"; then \
869            echo "$(subdir)/$$i"; \
870          else \
871            echo "$$sdir/$$i"; \
872          fi; \
873        done >> $(top_builddir)/cscope.files
874
875distclean-tags:
876        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
877
878# Recover from deleted '.trs' file; this should ensure that
879# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
880# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
881# to avoid problems with "make -n".
882.log.trs:
883        rm -f $< $@
884        $(MAKE) $(AM_MAKEFLAGS) $<
885
886# Leading 'am--fnord' is there to ensure the list of targets does not
887# expand to empty, as could happen e.g. with make check TESTS=''.
888am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
889am--force-recheck:
890        @:
891
892$(TEST_SUITE_LOG): $(TEST_LOGS)
893        @$(am__set_TESTS_bases); \
894        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
895        redo_bases=`for i in $$bases; do \
896                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
897                    done`; \
898        if test -n "$$redo_bases"; then \
899          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
900          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
901          if $(am__make_dryrun); then :; else \
902            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
903          fi; \
904        fi; \
905        if test -n "$$am__remaking_logs"; then \
906          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
907               "recursion detected" >&2; \
908        elif test -n "$$redo_logs"; then \
909          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
910        fi; \
911        if $(am__make_dryrun); then :; else \
912          st=0;  \
913          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
914          for i in $$redo_bases; do \
915            test -f $$i.trs && test -r $$i.trs \
916              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
917            test -f $$i.log && test -r $$i.log \
918              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
919          done; \
920          test $$st -eq 0 || exit 1; \
921        fi
922        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
923        ws='[   ]'; \
924        results=`for b in $$bases; do echo $$b.trs; done`; \
925        test -n "$$results" || results=/dev/null; \
926        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
927        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
928        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
929        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
930        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
931        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
932        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
933        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
934          success=true; \
935        else \
936          success=false; \
937        fi; \
938        br='==================='; br=$$br$$br$$br$$br; \
939        result_count () \
940        { \
941            if test x"$$1" = x"--maybe-color"; then \
942              maybe_colorize=yes; \
943            elif test x"$$1" = x"--no-color"; then \
944              maybe_colorize=no; \
945            else \
946              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
947            fi; \
948            shift; \
949            desc=$$1 count=$$2; \
950            if test $$maybe_colorize = yes && test $$count -gt 0; then \
951              color_start=$$3 color_end=$$std; \
952            else \
953              color_start= color_end=; \
954            fi; \
955            echo "$${color_start}# $$desc $$count$${color_end}"; \
956        }; \
957        create_testsuite_report () \
958        { \
959          result_count $$1 "TOTAL:" $$all   "$$brg"; \
960          result_count $$1 "PASS: " $$pass  "$$grn"; \
961          result_count $$1 "SKIP: " $$skip  "$$blu"; \
962          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
963          result_count $$1 "FAIL: " $$fail  "$$red"; \
964          result_count $$1 "XPASS:" $$xpass "$$red"; \
965          result_count $$1 "ERROR:" $$error "$$mgn"; \
966        }; \
967        {                                                               \
968          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
969            $(am__rst_title);                                           \
970          create_testsuite_report --no-color;                           \
971          echo;                                                         \
972          echo ".. contents:: :depth: 2";                               \
973          echo;                                                         \
974          for b in $$bases; do echo $$b; done                           \
975            | $(am__create_global_log);                                 \
976        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
977        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
978        if $$success; then                                              \
979          col="$$grn";                                                  \
980         else                                                           \
981          col="$$red";                                                  \
982          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
983        fi;                                                             \
984        echo "$${col}$$br$${std}";                                      \
985        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
986        echo "$${col}$$br$${std}";                                      \
987        create_testsuite_report --maybe-color;                          \
988        echo "$$col$$br$$std";                                          \
989        if $$success; then :; else                                      \
990          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
991          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
992            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
993          fi;                                                           \
994          echo "$$col$$br$$std";                                        \
995        fi;                                                             \
996        $$success || exit 1
997
998check-TESTS:
999        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1000        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1001        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1002        @set +e; $(am__set_TESTS_bases); \
1003        log_list=`for i in $$bases; do echo $$i.log; done`; \
1004        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1005        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1006        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1007        exit $$?;
1008recheck: all $(check_PROGRAMS)
1009        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1010        @set +e; $(am__set_TESTS_bases); \
1011        bases=`for i in $$bases; do echo $$i; done \
1012                 | $(am__list_recheck_tests)` || exit 1; \
1013        log_list=`for i in $$bases; do echo $$i.log; done`; \
1014        log_list=`echo $$log_list`; \
1015        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1016                am__force_recheck=am--force-recheck \
1017                TEST_LOGS="$$log_list"; \
1018        exit $$?
1019.test.log:
1020        @p='$<'; \
1021        $(am__set_b); \
1022        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1023        --log-file $$b.log --trs-file $$b.trs \
1024        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1025        "$$tst" $(AM_TESTS_FD_REDIRECT)
1026#.test$(EXEEXT).log:
1027#       @p='$<'; \
1028#       $(am__set_b); \
1029#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1030#       --log-file $$b.log --trs-file $$b.trs \
1031#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1032#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1033
1034distdir: $(DISTFILES)
1035        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1036        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1037        list='$(DISTFILES)'; \
1038          dist_files=`for file in $$list; do echo $$file; done | \
1039          sed -e "s|^$$srcdirstrip/||;t" \
1040              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1041        case $$dist_files in \
1042          */*) $(MKDIR_P) `echo "$$dist_files" | \
1043                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1044                           sort -u` ;; \
1045        esac; \
1046        for file in $$dist_files; do \
1047          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1048          if test -d $$d/$$file; then \
1049            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1050            if test -d "$(distdir)/$$file"; then \
1051              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1052            fi; \
1053            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1054              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1055              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1056            fi; \
1057            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1058          else \
1059            test -f "$(distdir)/$$file" \
1060            || cp -p $$d/$$file "$(distdir)/$$file" \
1061            || exit 1; \
1062          fi; \
1063        done
1064check-am: all-am
1065        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1066        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1067check: check-am
1068all-am: Makefile $(PROGRAMS)
1069installdirs:
1070        for dir in "$(DESTDIR)$(libexecdir)"; do \
1071          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1072        done
1073install: install-am
1074install-exec: install-exec-am
1075install-data: install-data-am
1076uninstall: uninstall-am
1077
1078install-am: all-am
1079        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1080
1081installcheck: installcheck-am
1082install-strip:
1083        if test -z '$(STRIP)'; then \
1084          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1085            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1086              install; \
1087        else \
1088          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1089            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1090            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1091        fi
1092mostlyclean-generic:
1093        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1094        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1095        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1096
1097clean-generic:
1098        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1099
1100distclean-generic:
1101        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1102        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1103
1104maintainer-clean-generic:
1105        @echo "This command is intended for maintainers to use"
1106        @echo "it deletes files that may require special tools to rebuild."
1107clean: clean-am
1108
1109clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1110        clean-libtool mostlyclean-am
1111
1112distclean: distclean-am
1113        -rm -rf ./$(DEPDIR)
1114        -rm -f Makefile
1115distclean-am: clean-am distclean-compile distclean-generic \
1116        distclean-tags
1117
1118dvi: dvi-am
1119
1120dvi-am:
1121
1122html: html-am
1123
1124html-am:
1125
1126info: info-am
1127
1128info-am:
1129
1130install-data-am:
1131
1132install-dvi: install-dvi-am
1133
1134install-dvi-am:
1135
1136install-exec-am: install-libexecPROGRAMS
1137
1138install-html: install-html-am
1139
1140install-html-am:
1141
1142install-info: install-info-am
1143
1144install-info-am:
1145
1146install-man:
1147
1148install-pdf: install-pdf-am
1149
1150install-pdf-am:
1151
1152install-ps: install-ps-am
1153
1154install-ps-am:
1155
1156installcheck-am:
1157
1158maintainer-clean: maintainer-clean-am
1159        -rm -rf ./$(DEPDIR)
1160        -rm -f Makefile
1161maintainer-clean-am: distclean-am maintainer-clean-generic
1162
1163mostlyclean: mostlyclean-am
1164
1165mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1166        mostlyclean-libtool
1167
1168pdf: pdf-am
1169
1170pdf-am:
1171
1172ps: ps-am
1173
1174ps-am:
1175
1176uninstall-am: uninstall-libexecPROGRAMS
1177
1178.MAKE: check-am install-am install-strip
1179
1180.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1181        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1182        clean-libtool cscopelist-am ctags ctags-am distclean \
1183        distclean-compile distclean-generic distclean-libtool \
1184        distclean-tags distdir dvi dvi-am html html-am info info-am \
1185        install install-am install-data install-data-am install-dvi \
1186        install-dvi-am install-exec install-exec-am install-html \
1187        install-html-am install-info install-info-am \
1188        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1189        install-ps install-ps-am install-strip installcheck \
1190        installcheck-am installdirs maintainer-clean \
1191        maintainer-clean-generic mostlyclean mostlyclean-compile \
1192        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1193        recheck tags tags-am uninstall uninstall-am \
1194        uninstall-libexecPROGRAMS
1195
1196.PRECIOUS: Makefile
1197
1198
1199$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1200
1201# Tell versions [3.59,3.63) of GNU make to not export all variables.
1202# Otherwise a system limit (for SysV at least) may be exceeded.
1203.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.